Logo
OpenScaler

Pin VM in console

POST
/v1/account/console/pinned-vms

Pin a VM in the recovery console with color and console type (vnc/ssh).

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for pinning a VM in the recovery console.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/account/console/pinned-vms" \  -H "Content-Type: application/json" \  -d '{    "vm_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",    "color": "violet",    "console_type": "ssh"  }'
null
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}